#
# spec file for package python-passlib
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-passlib
Version:        1.6.2
Release:        8.2
Url:            http://passlib.googlecode.com
Summary:        Comprehensive password hashing framework supporting over 20 schemes
License:        BSD-3-Clause
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/p/passlib/passlib-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-nose
BuildRequires:  python-setuptools
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Passlib is a password hashing library for Python 2 & 3,
which provides cross-platform implementations of over 20
password hashing algorithms, as well as a framework for
managing existing password hashes. It's designed to be useful
for a wide range of tasks; from verifying a hash found in /etc/shadow,
to providing full-strength password hashing for multi-user applications.

%prep
%setup -q -n passlib-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES LICENSE README
%{python_sitelib}/*

%changelog
* Mon Jan 13 2014 dmueller@suse.com
- update to 1.6.2:
  * Re-tuned the :attr:`~passlib.ifc.PasswordHash.default_rounds` values for all of the hashes.
  * Added the new :doc:`bcrypt_sha256 <lib/passlib.hash.bcrypt_sha256>` hash,
  which wraps BCrypt using SHA256 in order to work around BCrypt's password size limitations
  * :doc:`passlib.hash.bcrypt <lib/passlib.hash.bcrypt>`:
  Added support for the `bcrypt <https://pypi.python.org/pypi/bcrypt>`_
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Tue Feb  5 2013 saschpe@suse.de
- Drop testsuite again, has strange issues
* Sat Sep  8 2012 os-dev@jacraig.com
- Update to 1.6.1:
  * bugfix: Various CryptContext methods would incorrectly raise TypeError
    if passed a unicode user category under Python 2. For consistency,
    unicode user category values are now encoded to ``utf-8`` bytes under
    Python 2.
  * bugfix: Reworked internals of the CryptContext config compiler to fix a
    couple of border cases (issue 39), see CHANGES for details.
  * bugfix: FreeBSD 8.3 added native support for hash.sha256_crypt -- updated
    Passlib's unittests and documentation accordingly (issue 35).
  * bugfix: Fixed bug which caused passlib.apache unittest to fail if mtime
    resolution >= 1 second (issue 35).
  * Various bugfixes for Python 3.3 compatibility.
  * Various documentation updates and corrections.
* Fri Jun 15 2012 os-dev@jacraig.com
- Update to 1.6: tons of changes including deprecated API, features and fixes;
  see CHANGES.
* Thu Mar  8 2012 saschpe@suse.de
- Don't run testsuite on SLE, fixes build
* Tue Jan 31 2012 saschpe@suse.de
- Fix macro usage and remove reST from description
* Tue Nov 29 2011 saschpe@suse.de
- SPDX-style license string (BSD-3-Clause)
- Package CHANGES, README, LICENSE
- Run testsuite
* Mon Oct 24 2011 cthiel@suse.com
- initial package  (version 1.5.3)
